[Project_owners] Updating extension's target version on new AMO

Brian King brian at mozdev.org
Sun Apr 6 10:32:41 PDT 2008


Konstantin Svist wrote:
> Right now, I have 3.0b4 specified (since instructions page said not to 
> use 3.0 yet).. how to update that to 3.0b5?

Here is an important message straight from the horses mouth, AMO. This 
mail was sent out yesterday

---------------------------
Dear Add-on Developer:

We are officially at end game. Beta 5, the last Firefox 3 beta, has 
shipped. This means the next release will be a Firefox 3 release 
candidate. Please check your add-on for compatibility with beta 5, and 
if everything looks good, bump your maxVer on addons.mozilla.org (AMO) 
to "3.0pre". There are an estimated 1.2mil users running Firefox 3 
betas, so your add-on will get some serious testing.

Once the first release candidate has shipped, and your add-on is 
supported, you will be able claim 3.0.* support on AMO.

If you are still having trouble getting updated, please see our detailed 
information on changes relevant to add-ons developers:

   http://developer.mozilla.org/en/docs/Updating_extensions_for_Firefox_3
 
http://developer.mozilla.org/en/docs/Firefox_3_for_developers#For_XUL_and_extension_developers
 
http://developer.mozilla.org/devnews/index.php/2007/12/11/ensuring-compatibility-of-add-ons-and-themes-for-firefox-3/

As always, help is available on the #extdev channel on irc.mozilla.org 
and in the mozilla.dev.extensions newsgroup.

You should be validating against the final beta. Here are links to the 
builds:

   http://www.mozilla.com/en-US/firefox/all-beta.html

Expect a release candidate in late April or early May.

Looking forward to a successful launch of Firefox 3!
---------------------------


More information about the Project_owners mailing list